## rb-file-helpers

rb-file-helpers

## Synopsis

    const char*         rb_file                             (const char *filename);
    const char*         rb_dot_dir                          (void);
    const char*         rb_music_dir                        (void);
    char*               rb_canonicalise_uri                 (const char *uri);
    GnomeVFSResult      rb_uri_mkstemp                      (const char *prefix,
                                                             char **uri,
                                                             GnomeVFSHandle **handle);
    char*               rb_uri_resolve_symlink              (const char *uri);
    gboolean            rb_uri_is_directory                 (const char *uri);
    gboolean            rb_uri_exists                       (const char *uri);
    char*               rb_uri_resolve_relative             (const char *uri);
    gboolean            rb_uri_is_readable                  (const char *uri);
    gboolean            rb_uri_is_writable                  (const char *uri);
    gboolean            rb_uri_is_local                     (const char *uri);
    gboolean            rb_uri_is_hidden                    (const char *uri);
    gboolean            rb_uri_could_be_podcast             (const char *uri,
                                                             gboolean *is_opml);
    char*               rb_uri_make_hidden                  (const char *uri);
    char*               rb_uri_get_dir_name                 (const char *uri);
    char*               rb_uri_get_short_path_name          (const char *uri);
    gboolean            (*RBUriRecurseFunc)                 (const char *uri,
                                                             gboolean dir,
                                                             gpointer data);
    void                rb_uri_handle_recursively           (const char *uri,
                                                             RBUriRecurseFunc func,
                                                             gboolean *cancelflag,
                                                             gpointer user_data);
    void                rb_uri_handle_recursively_async     (const char *uri,
                                                             RBUriRecurseFunc func,
                                                             gboolean *cancelflag,
                                                             gpointer user_data,
                                                             GDestroyNotify data_destroy);
    char*               rb_uri_append_path                  (const char *uri,
                                                             const char *path);
    char*               rb_uri_append_uri                   (const char *uri,
                                                             const char *fragment);
    void                rb_file_helpers_init                (void);
    void                rb_file_helpers_shutdown            (void);

## Description

## Details

### rb_file ()

    const char*         rb_file                             (const char *filename);

`filename` : |
Returns : |

### rb_dot_dir ()

    const char*         rb_dot_dir                          (void);

Returns : |

### rb_music_dir ()

    const char*         rb_music_dir                        (void);

Returns : |

### rb_canonicalise_uri ()

    char*               rb_canonicalise_uri                 (const char *uri);

`uri` : |
Returns : |

### rb_uri_mkstemp ()

    GnomeVFSResult      rb_uri_mkstemp                      (const char *prefix,
                                                             char **uri,
                                                             GnomeVFSHandle **handle);

`prefix` : |
`uri` : |
`handle` : |
Returns : |

### rb_uri_resolve_symlink ()

    char*               rb_uri_resolve_symlink              (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_directory ()

    gboolean            rb_uri_is_directory                 (const char *uri);

`uri` : |
Returns : |

### rb_uri_exists ()

    gboolean            rb_uri_exists                       (const char *uri);

`uri` : |
Returns : |

### rb_uri_resolve_relative ()

    char*               rb_uri_resolve_relative             (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_readable ()

    gboolean            rb_uri_is_readable                  (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_writable ()

    gboolean            rb_uri_is_writable                  (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_local ()

    gboolean            rb_uri_is_local                     (const char *uri);

`uri` : |
Returns : |

### rb_uri_is_hidden ()

    gboolean            rb_uri_is_hidden                    (const char *uri);

`uri` : |
Returns : |

### rb_uri_could_be_podcast ()

    gboolean            rb_uri_could_be_podcast             (const char *uri,
                                                             gboolean *is_opml);

`uri` : |
`is_opml` : |
Returns : |

### rb_uri_make_hidden ()

    char*               rb_uri_make_hidden                  (const char *uri);

`uri` : |
Returns : |

### rb_uri_get_dir_name ()

    char*               rb_uri_get_dir_name                 (const char *uri);

`uri` : |
Returns : |

### rb_uri_get_short_path_name ()

    char*               rb_uri_get_short_path_name          (const char *uri);

`uri` : |
Returns : |

### RBUriRecurseFunc ()

    gboolean            (*RBUriRecurseFunc)                 (const char *uri,
                                                             gboolean dir,
                                                             gpointer data);

`uri` : |
`dir` : |
`data` : |
Returns : |

### rb_uri_handle_recursively ()

    void                rb_uri_handle_recursively           (const char *uri,
                                                             RBUriRecurseFunc func,
                                                             gboolean *cancelflag,
                                                             gpointer user_data);

`uri` : |
`func` : |
`cancelflag` : |
`user_data` : |

### rb_uri_handle_recursively_async ()

    void                rb_uri_handle_recursively_async     (const char *uri,
                                                             RBUriRecurseFunc func,
                                                             gboolean *cancelflag,
                                                             gpointer user_data,
                                                             GDestroyNotify data_destroy);

`uri` : |
`func` : |
`cancelflag` : |
`user_data` : |
`data_destroy` : |

### rb_uri_append_path ()

    char*               rb_uri_append_path                  (const char *uri,
                                                             const char *path);

`uri` : |
`path` : |
Returns : |

### rb_uri_append_uri ()

    char*               rb_uri_append_uri                   (const char *uri,
                                                             const char *fragment);

`uri` : |
`fragment` : |
Returns : |

### rb_file_helpers_init ()

    void                rb_file_helpers_init                (void);

### rb_file_helpers_shutdown ()

    void                rb_file_helpers_shutdown            (void);